Subject: Re: bug#78903: [PATCH] ISO C99 does not support _Noreturn

From: Helmut Eller <[email-masked]>
Date: Thu, 26 Jun 2025 10:08:54 +0200

On Thu, Jun 26 2025, Eli Zaretskii wrote:

>> From: Helmut Eller <[email-masked]>
>> Date: Thu, 26 Jun 2025 09:20:51 +0200
>> 
>> When I use gcc 14 with -std=gnu99 -Wpedantic I get lots of warnings of
>> the form
>> 
>>  warning: ISO C99 does not support ‘_Noreturn’ [-Wpedantic].
>
> Why did you use -Wpedantic?

To get warnings when I use a non-C99 feature.  Emacs' C code should be
written in C99.  It would be easier to follow that rule it were checked
automatically.